
.socials
	$this: &
	display: grid
	grid-template-columns: 1fr 1fr 1fr
	grid-gap: 16px
	max-width: 734px
	margin-left: auto
	margin-right: auto
	width: 100%

	&-item
		+a_reset
		height: 48px
		padding: 0 21px
		border-radius: 30px
		font-size: 13px
		color: #000
		position: relative
		background: linear-gradient(to right, rgba(103, 76, 246, 1), rgba(235, 60, 217, 1))
		width: 100%

		+flex(center)
		text-transform: uppercase
		font-weight: semibold

		transition: $animationTransition

		&:nth-child(1)
			transition-delay: $animationDelay + 100

		&:nth-child(2)
			transition-delay: $animationDelay + 200

		&:nth-child(3)
			transition-delay: $animationDelay + 300

		&:nth-child(4)
			transition-delay: $animationDelay + 400

		&:nth-child(5)
			transition-delay: $animationDelay + 500

		&:nth-child(6)
			transition-delay: $animationDelay + 600

		html._sections &
			opacity: 0
			transform: translate(20px, 0)

		&._blue
			background: linear-gradient(to right, rgba(103, 76, 246, 1), rgba(60, 151, 235, 1))

		&._green
			background: linear-gradient(to right, rgba(25, 163, 64, 1), rgba(38, 207, 45, 1))

		&-content
			+flex(center)

		&:after
			+pseudo
			background: $bg
			border-radius: 30px
			+position(absolute, 1px)

		&-content
			position: relative
			z-index: 1

	&-text
		margin-left: 41px

	@media (max-width: 768px)
		display: flex
		flex-direction: column
		align-items: stretch

		grid-gap: 0

		max-width: 234px
		margin-left: auto
		margin-right: auto

		&-item
			width: 100%

			height: 45px

			& + #{$this}-item
				// margin-top: 17px
				margin-top: 13px


